Skip to content

Get Tenant

Request

Retrieve tenant information

Security
bearerToken
Path
tenantstringrequired

Tenant domain prefix

curl -i -X GET \
  'https://docs.exolink.com/_mock/apis/exolink_api/tenant/{tenant}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Tenant information

Bodyapplication/json
idinteger

Unique identifier for the tenant

Example:1
namestring

Tenant display name

Example:"My Company"
domainPrefixstring

Unique domain prefix for the tenant (used in URLs and subdomains)

Example:"abc123"
stripeCustomerIdstring

Stripe customer ID for billing

connectUrlstring

WebSocket connection URL for IoT/OCPP

Example:"wss://abc123.broker.exolink.cloud/"
customDomainstring

Custom domain WebSocket URL (if configured)

Example:"wss://chargers.company.com/"
createdAtstring, (date-time)

When the tenant was created

updatedAtstring, (date-time)

When the tenant was last updated

deletedAtstring, (date-time)

When the tenant was deleted (null if active)

Response
{ "id": 1, "name": "My Company", "domainPrefix": "abc123", "stripeCustomerId": "string", "connectUrl": "wss://abc123.broker.exolink.cloud/", "customDomain": "wss://chargers.company.com/", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z" }